<header class="br-header" data-sticky="data-sticky">
	<div class="container-fluid">
		<div class="header-top">
			<div class="header-logo">
				<a href="https://www.gov.br/">
					<img src="assets/img/govbr-logo.png" alt="logo" />
				</a>
			</div>
			<div class="header-actions">
				<div
					class="header-links dropdown"
					[ngClass]="{
						show: showMenuLinks
					}"
				>
					<button
						class="br-button circle small"
						type="button"
						(click)="toggleMenuLinks()"
						(blur)="closeMenuLinks()"
						[ngClass]="{
							active: showMenuLinks
						}"
						data-toggle="dropdown"
						aria-label="Abrir Acesso Rápido"
					>
						<i class="fas fa-ellipsis-v" aria-hidden="true"></i>
					</button>
					<div class="br-list">
						<div class="header">
							<div class="title">Acesso Rápido</div>
						</div>

						<a class="br-item" href="/ds/introducao/comunidade">
							<i class="fas fa-users d-lg-none" aria-hidden="true"></i>
							Comunidade</a
						>

						<a class="br-item" href="/ds/introducao/padrao-minimo">
							<i class="fas fa-award d-lg-none" aria-hidden="true"></i>
							Padrão Mínimo</a
						>

						<a
							class="br-item"
							href="https://webcomponent-ds.estaleiro.serpro.gov.br/?path=/story/introdu%C3%A7%C3%A3o--page"
							target="_blank"
						>
							<i class="fas fa-cubes d-lg-none"></i>
							Web Components</a
						>
					</div>
				</div>
				<span class="br-divider vertical mx-half mx-sm-1"></span>
				<div
					class="header-functions dropdown ml-2"
					[ngClass]="{
						show: showMenuActions
					}"
				>
					<button
						class="br-button circle small"
						type="button"
						(click)="toggleMenuActions()"
						(blur)="closeMenuActions()"
						[ngClass]="{
							active: showMenuActions
						}"
						data-toggle="dropdown"
						aria-label="Abrir Comunidade"
					>
						<i class="fas fa-th" aria-hidden="true"></i>
					</button>
					<div class="br-list d-lg-inline-flex">
						<div class="header">
							<div class="title">Comunidade</div>
						</div>
						<div class="align-items-center br-item">
							<a
								class="br-button circle small"
								href="https://gov.br/ds/wiki/"
								target="_blank"
								type="button"
								aria-label="Wiki"
								data-tooltip-target="#tp-wiki"
							>
								<img src="assets/img/ico-wiki.svg" class="img-fluid" alt="Link da Wiki" />
								<span class="text">Wiki</span>
							</a>
							<div class="br-tooltip ml-lg-n2" id="tp-wiki" role="tooltip" data-toggle="tooltip" warning>
								<span class="text-base">Conheça nossa Wiki</span>
							</div>
						</div>
						<div class="align-items-center br-item">
							<a
								class="br-button circle small"
								type="button"
								aria-label="GitLab"
								target="_blank"
								href="https://gitlab.com/govbr-ds/ds/dev/govbr-ds-dev-core"
								data-tooltip-target="#tp-gitlab"
							>
								<img src="assets/img/ico-gitlab.svg" class="img-fluid" alt="Link do GitLab" /><span
									class="text"
									>GitLab</span
								>
							</a>
							<div
								class="br-tooltip ml-lg-n2"
								id="tp-gitlab"
								role="tooltip"
								data-toggle="tooltip"
								warning
							>
								<span class="text-base">Visite nosso projeto no Gitlab</span>
							</div>
						</div>
						<div class="align-items-center br-item">
							<a
								class="br-button circle small"
								type="button"
								aria-label="Discord"
								target="_blank"
								href="https://discord.gg/NkaVZERAT7"
								data-tooltip-target="#tp-discord"
							>
								<img src="assets/img/ico-discord.svg" class="img-fluid" alt="Link do Discord" /><span
									class="text"
									>Discord</span
								>
							</a>
							<div
								class="br-tooltip ml-lg-n2"
								id="tp-discord"
								role="tooltip"
								data-toggle="tooltip"
								warning
							>
								<span class="text-base">Conversar no Discord</span>
							</div>
						</div>
					</div>
				</div>
				<div class="header-search-trigger">
					<button
						class="br-button circle"
						type="button"
						aria-label="Abrir Busca"
						data-toggle="search"
						data-target=".header-search"
						(click)="showSearch()"
					>
						<i class="fas fa-search" aria-hidden="true"></i>
					</button>
				</div>
			</div>
		</div>
		<div class="header-bottom">
			<div class="header-menu">
				<div class="header-menu-trigger">
					<button
						class="br-button circle small"
						type="button"
						aria-label="Menu principal modo 2"
						data-toggle="menu"
						data-target="#navigation"
						(click)="toggleMenu()"
					>
						<i
							class="fas"
							aria-hidden="true"
							[ngClass]="{
								'fa-times': showMenu,
								'fa-bars': !showMenu
							}"
						></i>
					</button>
				</div>
				<div class="header-info">
					<div class="header-title">
						<a [routerLink]="['home']">Padrão Digital de Governo</a>
					</div>
					<div class="header-subtitle">Design System | Versão {{ version }}</div>
				</div>
			</div>
			<ais-instantsearch [config]="config">
				<br-search></br-search>
			</ais-instantsearch>
		</div>
	</div>
</header>
